summaryrefslogtreecommitdiffstats
path: root/testing/web-platform/tests/tools/pytest/plugin-test.sh
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /testing/web-platform/tests/tools/pytest/plugin-test.sh
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'testing/web-platform/tests/tools/pytest/plugin-test.sh')
-rw-r--r--testing/web-platform/tests/tools/pytest/plugin-test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/web-platform/tests/tools/pytest/plugin-test.sh b/testing/web-platform/tests/tools/pytest/plugin-test.sh
new file mode 100644
index 000000000..9c61b5053
--- /dev/null
+++ b/testing/web-platform/tests/tools/pytest/plugin-test.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# this assumes plugins are installed as sister directories
+
+set -e
+cd ../pytest-pep8
+py.test
+cd ../pytest-instafail
+py.test
+cd ../pytest-cache
+py.test
+cd ../pytest-xprocess
+py.test
+#cd ../pytest-cov
+#py.test
+cd ../pytest-capturelog
+py.test
+cd ../pytest-xdist
+py.test
+